Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1875225 - Review Request: dhall-json - Convert between Dhall and JSON or YAML
Summary: Review Request: dhall-json - Convert between Dhall and JSON or YAML
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 04:04 UTC by Jens Petersen
Modified: 2020-10-23 22:39 UTC (History)
2 users (show)

Fixed In Version: dhall-json-1.6.4-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:02:54 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2020-09-03 04:04:52 UTC
Spec URL: https://petersen.fedorapeople.org/reviews/dhall-json/dhall-json.spec
SRPM URL: https://petersen.fedorapeople.org/reviews/dhall-json/dhall-json-1.6.4-1.fc33.src.rpm

Description:
Use this package if you want to convert between Dhall expressions and JSON or
YAML. You can use this package as a library or an executable:

* See the "Dhall.JSON" or "Dhall.JSONToDhall" modules if you want to use this
package as a library

* Use the 'dhall-to-json', 'dhall-to-yaml', or 'json-to-dhall' programs from
this package if you want an executable

The "Dhall.JSON" and "Dhall.JSONToDhall" modules also contains instructions for
how to use this package.


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=50669868

Comment 1 Robert-André Mauchin 🐧 2020-09-03 13:00:20 UTC
 - Bump to 1.7.1

 Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 59 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/dhall-json/review-dhall-
     json/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Static libraries in -static or -devel subpackage, providing -devel if
     present.
     Note: Package has .a files: ghc-dhall-json-devel.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     dhall-json
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dhall-json-1.6.4-1.fc34.x86_64.rpm
          ghc-dhall-json-1.6.4-1.fc34.x86_64.rpm
          ghc-dhall-json-devel-1.6.4-1.fc34.x86_64.rpm
          dhall-json-1.6.4-1.fc34.src.rpm
dhall-json.x86_64: W: spelling-error %description -l en_US JSONToDhall 
dhall-json.x86_64: W: spelling-error %description -l en_US yaml -> yam, yams, yawl
dhall-json.x86_64: W: no-manual-page-for-binary dhall-to-json
dhall-json.x86_64: W: no-manual-page-for-binary dhall-to-yaml
dhall-json.x86_64: W: no-manual-page-for-binary json-to-dhall
ghc-dhall-json.x86_64: W: library-not-linked-against-libc /usr/lib64/libHSdhall-json-1.6.4-EifWTm6T9K339MnDOGHLxb-ghc8.8.4.so
ghc-dhall-json.x86_64: W: no-documentation
dhall-json.src: W: spelling-error %description -l en_US JSONToDhall 
dhall-json.src: W: spelling-error %description -l en_US yaml -> yam, yams, yawl
4 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 2 Jens Petersen 2020-09-03 13:49:59 UTC
Thank you for the review

https://pagure.io/releng/fedora-scm-requests/issue/28276

Comment 3 Gwyn Ciesla 2020-09-03 16:11:47 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/dhall-json

Comment 4 Jens Petersen 2020-09-09 17:17:26 UTC
Let me update to 1.7 later when Stackage does too, thanks.
It also requires newer dhall.

Comment 5 Fedora Update System 2020-10-03 20:54:19 UTC
FEDORA-2020-bf7b04b867 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-bf7b04b867

Comment 6 Fedora Update System 2020-10-04 02:15:52 UTC
FEDORA-2020-bf7b04b867 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-bf7b04b867 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bf7b04b867

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-09 04:20:31 UTC
FEDORA-2020-113d0c3573 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-113d0c3573

Comment 8 Fedora Update System 2020-10-15 09:43:26 UTC
FEDORA-2020-113d0c3573 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-113d0c3573

Comment 9 Fedora Update System 2020-10-15 14:36:36 UTC
FEDORA-2020-113d0c3573 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-113d0c3573 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-113d0c3573

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-23 22:02:54 UTC
FEDORA-2020-bf7b04b867 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-10-23 22:39:24 UTC
FEDORA-2020-113d0c3573 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.